# Class XmlIdentifiers

java.lang.Object
org.apache.tomcat.util.descriptor.XmlIdentifiers

public final class XmlIdentifiers extends Object
Defines constants for well-known Public and System identifiers documented by the Servlet and JSP specifications.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DATATYPES_PUBLIC`
W3C datatypes public identifier.
`static final String`
`JAKARTAEE_10_NS`
Jakarta EE 10 namespace.
`static final String`
`JAKARTAEE_9_NS`
Jakarta EE 9 namespace.
`static final String`
`JAVAEE_1_4_NS`
Java EE 1.4 namespace.
`static final String`
`JAVAEE_5_NS`
Java EE 5 namespace.
`static final String`
`JAVAEE_6_NS`
Java EE 6 namespace.
`static final String`
`JAVAEE_7_NS`
Java EE 7 namespace.
`static final String`
`JAVAEE_8_NS`
Java EE 8 namespace.
`static final String`
`TLD_11_PUBLIC`
JSP Tag Library 1.1 public identifier.
`static final String`
`TLD_11_SYSTEM`
JSP Tag Library 1.1 system identifier.
`static final String`
`TLD_12_PUBLIC`
JSP Tag Library 1.2 public identifier.
`static final String`
`TLD_12_SYSTEM`
JSP Tag Library 1.2 system identifier.
`static final String`
`TLD_20_XSD`
JSP Tag Library 2.0 XSD.
`static final String`
`TLD_21_XSD`
JSP Tag Library 2.1 XSD.
`static final String`
`TLD_30_XSD`
JSP Tag Library 3.0 XSD.
`static final String`
`TLD_31_XSD`
JSP Tag Library 3.1 XSD.
`static final String`
`WEB_22_PUBLIC`
Web Application 2.2 public identifier.
`static final String`
`WEB_22_SYSTEM`
Web Application 2.2 system identifier.
`static final String`
`WEB_23_PUBLIC`
Web Application 2.3 public identifier.
`static final String`
`WEB_23_SYSTEM`
Web Application 2.3 system identifier.
`static final String`
`WEB_24_XSD`
Web Application 2.4 XSD.
`static final String`
`WEB_25_XSD`
Web Application 2.5 XSD.
`static final String`
`WEB_30_XSD`
Web Application 3.0 XSD.
`static final String`
`WEB_31_XSD`
Web Application 3.1 XSD.
`static final String`
`WEB_40_XSD`
Web Application 4.0 XSD.
`static final String`
`WEB_50_XSD`
Web Application 5.0 XSD.
`static final String`
`WEB_60_XSD`
Web Application 6.0 XSD.
`static final String`
`WEB_FRAGMENT_30_XSD`
Web Fragment 3.0 XSD.
`static final String`
`WEB_FRAGMENT_31_XSD`
Web Fragment 3.1 XSD.
`static final String`
`WEB_FRAGMENT_40_XSD`
Web Fragment 4.0 XSD.
`static final String`
`WEB_FRAGMENT_50_XSD`
Web Fragment 5.0 XSD.
`static final String`
`WEB_FRAGMENT_60_XSD`
Web Fragment 6.0 XSD.
`static final String`
`WEBSERVICES_11_XSD`
Web Services 1.1 XSD.
`static final String`
`WEBSERVICES_12_XSD`
Web Services 1.2 XSD.
`static final String`
`WEBSERVICES_13_XSD`
Web Services 1.3 XSD.
`static final String`
`WEBSERVICES_14_XSD`
Web Services 1.4 XSD.
`static final String`
`WEBSERVICES_20_XSD`
Web Services 2.0 XSD.
`static final String`
`XML_2001_XSD`
W3C XML Schema XSD identifier.
`static final String`
`XSD_10_PUBLIC`
W3C XML Schema 1.0 public identifier.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### XML_2001_XSD

public static final String XML_2001_XSD
W3C XML Schema XSD identifier.

See Also:
  - Constant Field Values

### DATATYPES_PUBLIC

public static final String DATATYPES_PUBLIC
W3C datatypes public identifier.

See Also:
  - Constant Field Values

### XSD_10_PUBLIC

public static final String XSD_10_PUBLIC
W3C XML Schema 1.0 public identifier.

See Also:
  - Constant Field Values

### WEB_22_PUBLIC

public static final String WEB_22_PUBLIC
Web Application 2.2 public identifier.

See Also:
  - Constant Field Values

### WEB_22_SYSTEM

public static final String WEB_22_SYSTEM
Web Application 2.2 system identifier.

See Also:
  - Constant Field Values

### TLD_11_PUBLIC

public static final String TLD_11_PUBLIC
JSP Tag Library 1.1 public identifier.

See Also:
  - Constant Field Values

### TLD_11_SYSTEM

public static final String TLD_11_SYSTEM
JSP Tag Library 1.1 system identifier.

See Also:
  - Constant Field Values

### WEB_23_PUBLIC

public static final String WEB_23_PUBLIC
Web Application 2.3 public identifier.

See Also:
  - Constant Field Values

### WEB_23_SYSTEM

public static final String WEB_23_SYSTEM
Web Application 2.3 system identifier.

See Also:
  - Constant Field Values

### TLD_12_PUBLIC

public static final String TLD_12_PUBLIC
JSP Tag Library 1.2 public identifier.

See Also:
  - Constant Field Values

### TLD_12_SYSTEM

public static final String TLD_12_SYSTEM
JSP Tag Library 1.2 system identifier.

See Also:
  - Constant Field Values

### JAVAEE_1_4_NS

public static final String JAVAEE_1_4_NS
Java EE 1.4 namespace.

See Also:
  - Constant Field Values

### WEB_24_XSD

public static final String WEB_24_XSD
Web Application 2.4 XSD.

See Also:
  - Constant Field Values

### TLD_20_XSD

public static final String TLD_20_XSD
JSP Tag Library 2.0 XSD.

See Also:
  - Constant Field Values

### WEBSERVICES_11_XSD

public static final String WEBSERVICES_11_XSD
Web Services 1.1 XSD.

See Also:
  - Constant Field Values

### JAVAEE_5_NS

public static final String JAVAEE_5_NS
Java EE 5 namespace.

See Also:
  - Constant Field Values

### WEB_25_XSD

public static final String WEB_25_XSD
Web Application 2.5 XSD.

See Also:
  - Constant Field Values

### TLD_21_XSD

public static final String TLD_21_XSD
JSP Tag Library 2.1 XSD.

See Also:
  - Constant Field Values

### WEBSERVICES_12_XSD

public static final String WEBSERVICES_12_XSD
Web Services 1.2 XSD.

See Also:
  - Constant Field Values

### JAVAEE_6_NS

public static final String JAVAEE_6_NS
Java EE 6 namespace.

See Also:
  - Constant Field Values

### WEB_30_XSD

public static final String WEB_30_XSD
Web Application 3.0 XSD.

See Also:
  - Constant Field Values

### WEB_FRAGMENT_30_XSD

public static final String WEB_FRAGMENT_30_XSD
Web Fragment 3.0 XSD.

See Also:
  - Constant Field Values

### WEBSERVICES_13_XSD

public static final String WEBSERVICES_13_XSD
Web Services 1.3 XSD.

See Also:
  - Constant Field Values

### JAVAEE_7_NS

public static final String JAVAEE_7_NS
Java EE 7 namespace.

See Also:
  - Constant Field Values

### WEB_31_XSD

public static final String WEB_31_XSD
Web Application 3.1 XSD.

See Also:
  - Constant Field Values

### WEB_FRAGMENT_31_XSD

public static final String WEB_FRAGMENT_31_XSD
Web Fragment 3.1 XSD.

See Also:
  - Constant Field Values

### WEBSERVICES_14_XSD

public static final String WEBSERVICES_14_XSD
Web Services 1.4 XSD.

See Also:
  - Constant Field Values

### JAVAEE_8_NS

public static final String JAVAEE_8_NS
Java EE 8 namespace.

See Also:
  - Constant Field Values

### WEB_40_XSD

public static final String WEB_40_XSD
Web Application 4.0 XSD.

See Also:
  - Constant Field Values

### WEB_FRAGMENT_40_XSD

public static final String WEB_FRAGMENT_40_XSD
Web Fragment 4.0 XSD.

See Also:
  - Constant Field Values

### JAKARTAEE_9_NS

public static final String JAKARTAEE_9_NS
Jakarta EE 9 namespace.

See Also:
  - Constant Field Values

### WEB_50_XSD

public static final String WEB_50_XSD
Web Application 5.0 XSD.

See Also:
  - Constant Field Values

### WEB_FRAGMENT_50_XSD

public static final String WEB_FRAGMENT_50_XSD
Web Fragment 5.0 XSD.

See Also:
  - Constant Field Values

### TLD_30_XSD

public static final String TLD_30_XSD
JSP Tag Library 3.0 XSD.

See Also:
  - Constant Field Values

### WEBSERVICES_20_XSD

public static final String WEBSERVICES_20_XSD
Web Services 2.0 XSD.

See Also:
  - Constant Field Values

### JAKARTAEE_10_NS

public static final String JAKARTAEE_10_NS
Jakarta EE 10 namespace.

See Also:
  - Constant Field Values

### WEB_60_XSD

public static final String WEB_60_XSD
Web Application 6.0 XSD.

See Also:
  - Constant Field Values

### WEB_FRAGMENT_60_XSD

public static final String WEB_FRAGMENT_60_XSD
Web Fragment 6.0 XSD.

See Also:
  - Constant Field Values

### TLD_31_XSD

public static final String TLD_31_XSD
JSP Tag Library 3.1 XSD.

See Also:
  - Constant Field Values